summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlfredo Tupone <tupone@gentoo.org>2021-01-10 13:49:48 +0100
committerAlfredo Tupone <tupone@gentoo.org>2021-01-10 13:49:48 +0100
commit6ab0330023e15ea2c64326cd782277038588677b (patch)
tree8273d7775a5254bf98158ed3b6f020d6423aa71a /dev-ml/uucp
parentdev-python/flask-migrate: Move distutils_enable_tests where it belongs (diff)
downloadgentoo-6ab0330023e15ea2c64326cd782277038588677b.tar.gz
gentoo-6ab0330023e15ea2c64326cd782277038588677b.tar.bz2
gentoo-6ab0330023e15ea2c64326cd782277038588677b.zip
dev-ml/uucp: Copying from aballier overlay
Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
Diffstat (limited to 'dev-ml/uucp')
-rw-r--r--dev-ml/uucp/Manifest1
-rw-r--r--dev-ml/uucp/metadata.xml11
-rw-r--r--dev-ml/uucp/uucp-13.0.0-r2.ebuild28
3 files changed, 40 insertions, 0 deletions
diff --git a/dev-ml/uucp/Manifest b/dev-ml/uucp/Manifest
new file mode 100644
index 00000000000..08d06a8a8e9
--- /dev/null
+++ b/dev-ml/uucp/Manifest
@@ -0,0 +1 @@
+DIST uucp-13.0.0.tbz 466488 BLAKE2B 90b62446ed069f95b0ca8bbad8273b215f0a66f6a3d19639d60a73f440268e9274d4e98e7ac8a534bbb6a34ab485e989432894f22f2f5c1303ca49f828efe859 SHA512 24d0fc75ba337115fd6445d3c3dfa60fe5f6920b227cd8360cd60ad51b652ccc2129a47f195f7559d99635367e64855343dc03de1109987f296a280e0fefff4d
diff --git a/dev-ml/uucp/metadata.xml b/dev-ml/uucp/metadata.xml
new file mode 100644
index 00000000000..bfbe91ed411
--- /dev/null
+++ b/dev-ml/uucp/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">dbuenzli/uucp</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ml/uucp/uucp-13.0.0-r2.ebuild b/dev-ml/uucp/uucp-13.0.0-r2.ebuild
new file mode 100644
index 00000000000..61ad4a7252a
--- /dev/null
+++ b/dev-ml/uucp/uucp-13.0.0-r2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit opam
+
+DESCRIPTION="Unicode character properties for OCaml"
+HOMEPAGE="https://erratique.ch/software/uucp https://github.com/dbuenzli/uucp"
+SRC_URI="https://erratique.ch/software/uucp/releases/${P}.tbz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+BDEPEND=""
+OPAM_FILE=opam
+
+src_compile() {
+ ocaml pkg/pkg.ml build \
+ --with-uutf true \
+ --with-uunf false \
+ --with-cmdliner true \
+ || die
+}